X2Go Bug report logs - #1144
X2GoClient connects but displays nothing

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Willie Nel <wajnel@gmail.com>

Date: Fri, 3 Feb 2017 10:35:02 UTC

Severity: normal

Found in version 4.0.5.2

Full log


🔗 View this message in rfc822 format

X-Loop: owner@bugs.x2go.org
Subject: Bug#1144: X2GoClient connects but displays nothing
Reply-To: Willie Nel <wajnel@gmail.com>, 1144@bugs.x2go.org
Resent-From: Willie Nel <wajnel@gmail.com>
Resent-To: x2go-dev@lists.x2go.org
Resent-CC: X2Go Developers <x2go-dev@lists.x2go.org>
X-Loop: owner@bugs.x2go.org
Resent-Date: Fri, 03 Feb 2017 10:35:02 +0000
Resent-Message-ID: <handler.1144.B.148611801928681@bugs.x2go.org>
Resent-Sender: owner@bugs.x2go.org
X-X2Go-PR-Message: report 1144
X-X2Go-PR-Package: x2goclient
X-X2Go-PR-Keywords: 
Received: via spool by submit@bugs.x2go.org id=B.148611801928681
          (code B); Fri, 03 Feb 2017 10:35:02 +0000
Received: (at submit) by bugs.x2go.org; 3 Feb 2017 10:33:39 +0000
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on
	ymir.das-netzwerkteam.de
X-Spam-Level: 
X-Spam-Status: No, score=-1.5 required=3.0 tests=BAYES_00,DKIM_SIGNED,
	DKIM_VALID,DKIM_VALID_AU,FREEMAIL_FROM,RCVD_IN_SORBS_SPAM,URIBL_BLOCKED
	autolearn=no version=3.3.2
Received: from localhost (localhost [127.0.0.1])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTP id E9F055DAA3
	for <submit@bugs.x2go.org>; Fri,  3 Feb 2017 11:33:37 +0100 (CET)
X-Virus-Scanned: Debian amavisd-new at ymir.das-netzwerkteam.de
Received: from ymir.das-netzwerkteam.de ([127.0.0.1])
	by localhost (ymir.das-netzwerkteam.de [127.0.0.1]) (amavisd-new, port 10024)
	with ESMTP id vBvWAVDJJyI2 for <submit@bugs.x2go.org>;
	Fri,  3 Feb 2017 11:33:31 +0100 (CET)
Received: from mail-wm0-f54.google.com (mail-wm0-f54.google.com [74.125.82.54])
	by ymir.das-netzwerkteam.de (Postfix) with ESMTPS id D55645DA95
	for <submit@bugs.x2go.org>; Fri,  3 Feb 2017 11:33:30 +0100 (CET)
Received: by mail-wm0-f54.google.com with SMTP id v77so21109263wmv.0
        for <submit@bugs.x2go.org>; Fri, 03 Feb 2017 02:33:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=20161025;
        h=from:content-transfer-encoding:mime-version:subject:message-id:date
         :to;
        bh=5XT6yG0qvGiyivkOLg+Xk12+w2N4Ko/BKj6wcDhtglE=;
        b=t+l9P7wOZTxXF9c9ak2T1Vt2qikwfF3VdQ+rfTmkKZC3HHTJhd9Btjlg+yyf5uEnJ2
         AltbscanYWTvZQMIjkJ5032HoP2D7EpdlatzmFu3J9T0OOhIZuv3w0UuV19ANBPfILDL
         Jp6rDWTCs5OhB/d9pNIt9rNHGV748Ca1ubXQ83DknXJAQkztMqsn9B7t0WWK1/iJ6bnO
         R2ly9uYo+kM/bUA9+H/QkrgjeX5/4Iq690JELXkLV0+9IB/2Jz3d57eQv/WdJAWW91+q
         RYWgui9wWqWI0zhu3gsXQV6S1AVS/73nC7begn8Y0Xgea1zSEKWwx+7BOdzlkG6j04M5
         tj6Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=1e100.net; s=20161025;
        h=x-gm-message-state:from:content-transfer-encoding:mime-version
         :subject:message-id:date:to;
        bh=5XT6yG0qvGiyivkOLg+Xk12+w2N4Ko/BKj6wcDhtglE=;
        b=Djr5F9wWUcMxAPUziMV5ibXNFhR+l4IS8sUKNfU4FdKQ4sIPpBkaebOSBMlpdCYbFi
         +NZypTgSPArzGmKnxArM7TADkWS9V8tFQSnV505u++gvjZoN6VUjEfCgc3NMEcTF1uc9
         qS0N40MRuG1FuYxpG/omRCJtYVFfPZt1wMkrtphkxkeNPs8rQSdYZK+9tuwHctjkV13i
         GzOtAx0plRqpLBZzubjMpxQ/IAbE3plqQMtLhwkOPxxt2CWDo0cJrkPTzbDgt5INQpx4
         /Qcc8U5DWpAtsm1Irtx9tFDD+aV3wG7lCkoZ29P4OKWevfLNddQSxB6ECFVBoG1hDpJF
         spDQ==
X-Gm-Message-State: AMke39n1wU2Qz74ZJp6oUUCkLmCaNwm4GUJ4I2m4mgUw0H8lo5SQP1QH3Q9CPHcOQajV1Q==
X-Received: by 10.28.141.199 with SMTP id p190mr768617wmd.89.1486118009303;
        Fri, 03 Feb 2017 02:33:29 -0800 (PST)
Received: from [146.64.182.79] ([146.64.182.79])
        by smtp.gmail.com with ESMTPSA id m84sm2298402wmf.10.2017.02.03.02.33.27
        for <submit@bugs.x2go.org>
        (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
        Fri, 03 Feb 2017 02:33:28 -0800 (PST)
From: Willie Nel <wajnel@gmail.com>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 10.2 \(3259\))
Message-Id: <B9B3ECF2-C417-4AE0-9EDB-C18A7EF179A9@gmail.com>
Date: Fri, 3 Feb 2017 12:33:20 +0200
To: submit@bugs.x2go.org
X-Mailer: Apple Mail (2.3259)
Package: x2goclient
Version: 4.0.5.2

When connecting to a remote X2go server from a Mac running MACOS Sierra the
client opens the conneections, and either sometimes fails with a
MIT-MAGIC-COOKIE -1 error, or goes through most of the hoops and finally
having connected, just ends up with an empty session

Here is the —debug log from my attempts

Any assistance would be great!

Regards
Willie Nel

x2go-INFO-1> "Starting X2Go Client..."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-WARNING-1> "English language requested, not loading translator."
x2go-INFO-3> "Started X2Go Client."
x2go-DEBUG-../src/onmainwindow.cpp:517> "$HOME=/Users/wajnel"
x2go-DEBUG-../src/onmainwindow.cpp:2206> Reading 1 sessions from config file.
x2go-DEBUG-../src/sessionbutton.cpp:325> Creating QPixmap with session icon: ":/img/icons/128x128/x2gosession.png".
x2go-DEBUG-../src/onmainwindow.cpp:2686> Creating QPixmap with session icon: '":/img/icons/128x128/x2gosession.png"'.
x2go-DEBUG-../src/onmainwindow.cpp:6174> Setting focus.

x2go-INFO-8> "Starting connection to server: dt:22"
x2go-DEBUG-../src/onmainwindow.cpp:2787> Starting new ssh connection to server:"dt":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:174> SshMasterConnection, host "dt"port 22user "wajnel"useproxy falseproxyserver ""proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:211> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:215> SshMasterConnection, instance SshMasterConnection(0x7fb8fd752ec0)  created. 
x2go-DEBUG-../src/sshmasterconnection.cpp:451> SshMasterConnection, instance SshMasterConnection(0x7fb8fd752ec0)  entering thread. 
x2go-DEBUG-../src/sshmasterconnection.cpp:487> libssh not initialized yet. Initializing.
x2go-DEBUG-../src/sshmasterconnection.cpp:798> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:813> state: 1

x2go-DEBUG-../src/sshmasterconnection.cpp:995> Challenge authentication failed. Trying password mechanism if available.

x2go-DEBUG-../src/sshmasterconnection.cpp:1001> Password mechanism available. Continuing.

x2go-DEBUG-../src/sshmasterconnection.cpp:1005> Password authentication requested.

x2go-DEBUG-../src/sshmasterconnection.cpp:663> User authentication OK.
x2go-DEBUG-../src/onmainwindow.cpp:2884> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3193> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 0: "export HOSTNAME && x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:204> this=SshProcess(0x7fb8fd684e20)  Running masterCon->addChannelConnection(this, ' "387e6832-336a-4860-8f19-7cb2d4573b62" ', ' "bash -l -c 'echo "X2GODATABEGIN:387e6832-336a-4860-8f19-7cb2d4573b62"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME && x2golistsessions; echo "X2GODATAEND:387e6832-3" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1326> Passing new channel conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1328> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1516> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1520> New channel:0x7fb90002e6d0

x2go-DEBUG-../src/sshmasterconnection.cpp:1551> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:387e6832-336a-4860-8f19-7cb2d4573b62"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME && x2golistsessions; echo "X2GODATAEND:387e6832-336a-4860-8f19-7cb2d4573b62";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1574> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1678> EOF on channel 0x7fb90002e6d0; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:1746> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1750> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout): "X2GODATABEGIN:387e6832-336a-4860-8f19-7cb2d4573b62
X2GODATAEND:387e6832-336a-4860-8f19-7cb2d4573b62
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3582> ""
x2go-DEBUG-../src/onmainwindow.cpp:4133> Executing remote command: "X2GODPI=72 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 1: "X2GODPI=72 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both"
x2go-DEBUG-../src/sshprocess.cpp:204> this=SshProcess(0x7fb8fd7a7290)  Running masterCon->addChannelConnection(this, ' "38d566b3-8829-4d36-a031-021473fc3f4f" ', ' "bash -l -c 'echo "X2GODATABEGIN:38d566b3-8829-4d36-a031-021473fc3f4f"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; X2GODPI=72 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1326> Passing new channel conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1328> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1516> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1520> New channel:0x7fb90002e6d0

x2go-DEBUG-../src/sshmasterconnection.cpp:1551> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:38d566b3-8829-4d36-a031-021473fc3f4f"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; X2GODPI=72 x2gostartagent 800x600 adsl 16m-jpeg-9 unix-kde-depth_32 us query 0 D MATE both; echo "X2GODATAEND:38d566b3-8829-4d36-a031-021473fc3f4f";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1574> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1623> EOF on channel 0x7fb90002e6d0; SshProcess object: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:1746> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1750> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout): "X2GODATABEGIN:38d566b3-8829-4d36-a031-021473fc3f4f
51
0a780d90ca4196ede8b79df0b47c8c30
26052
wajnel-51-1486117592_stDMATE_dp32
48519
48520
48521
X2GODATAEND:38d566b3-8829-4d36-a031-021473fc3f4f
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "51
0a780d90ca4196ede8b79df0b47c8c30
26052
wajnel-51-1486117592_stDMATE_dp32
48519
48520
48521
" (1).
x2go-DEBUG-../src/onmainwindow.cpp:4944> Agent output: "51
0a780d90ca4196ede8b79df0b47c8c30
26052
wajnel-51-1486117592_stDMATE_dp32
48519
48520
48521
"
x2go-DEBUG-../src/sshprocess.cpp:372> Starting tunnel via SshProcess object 2: "localhost":48519 -> "localhost":49519

x2go-DEBUG-../src/onmainwindow.cpp:9169> xsocket in compat mode: "/tmp/.X11-unix/X1"
x2go-DEBUG-../src/onmainwindow.cpp:9195> Returning ":1"
x2go-DEBUG-../src/onmainwindow.cpp:5555> "Starting NX proxy, command: "/Applications/x2goclient.app/Contents/exe/"nxproxy -S nx/nx,options=/Users/wajnel/.x2go/S-wajnel-51-1486117592_stDMATE_dp32/options:51"
x2go-DEBUG-../src/sshprocess.cpp:157> Direct tunnel: waiting for connections on "localhost":49519
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "
NXPROXY - Version 3.5.0

Copyright (C) 2001, 2010 NoMachine.
See http://www.nomachine.com/ for more information.

Info: Proxy running in client mode with pid '98976'.
Session: Starting session at 'Fri Feb  3 12:26:34 2017'.
Info: Connecting to remote host 'localhost:49519'.
Info: Connection to remote proxy 'localhost:49519' established.
"
x2go-DEBUG-../src/sshprocess.cpp:109> New TCP connection.
x2go-DEBUG-../src/sshprocess.cpp:114> New socket: 19
x2go-DEBUG-../src/sshmasterconnection.cpp:1516> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1520> New channel:0x7fb8fbf96cd0

x2go-DEBUG-../src/sshmasterconnection.cpp:1526> Forwarding new channel, local port: 51347

x2go-DEBUG-../src/sshmasterconnection.cpp:1544> New channel forwarded.

x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "Info: Connection with remote proxy completed.
Warning: Unrecognized session type 'unix-kde-depth_32'. Assuming agent session.
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "Warning: Failed to read data from the X auth command.
Warning: Generated a fake cookie for X authentication.
Info: Using ADSL link parameters 512/24/1/0.
Info: Using cache parameters 4/4096KB/8192KB/8192KB.
Info: Using pack method '16m-jpeg-9' with session 'unix-kde-depth_32'.
Info: Using ZLIB data compression 1/1/32.
Info: Using ZLIB stream compression 4/4.
Info: No suitable cache file found.
Info: Forwarding X11 connections to display ':1'.
Session: Session started at 'Fri Feb  3 12:26:34 2017'.
Warning: X connection failed with error 'Invalid MIT-MAGIC-COOKIE-1 key'.
"
x2go-DEBUG-../src/onmainwindow.cpp:6014> Proxy wrote on stderr: "Session: Terminating session at 'Fri Feb  3 12:26:38 2017'.
Info: Your session was closed before reaching a usable state.
Info: This can be due to the local X server refusing access to the client.
Info: Please check authorization provided by the remote X application.
Session: Session terminated at 'Fri Feb  3 12:26:38 2017'.
"
x2go-DEBUG-../src/sshmasterconnection.cpp:1727> Socket 19 closed.

x2go-DEBUG-../src/sshmasterconnection.cpp:1746> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1750> Channel closed.
x2go-DEBUG-../src/onmainwindow.cpp:5871> Deleting Proxy.
x2go-DEBUG-../src/onmainwindow.cpp:5920> Waiting for proxy to exit.
x2go-DEBUG-../src/onmainwindow.cpp:5940> Checking exit status.
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 3: "x2gocmdexitmessage wajnel-51-1486117592_stDMATE_dp32"
x2go-DEBUG-../src/sshprocess.cpp:204> this=SshProcess(0x7fb8fbf95d20)  Running masterCon->addChannelConnection(this, ' "243e7d38-7776-4526-9e7f-f57b68897530" ', ' "bash -l -c 'echo "X2GODATABEGIN:243e7d38-7776-4526-9e7f-f57b68897530"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; x2gocmdexitmessage wajnel-51-1486117592_stDMATE_dp32; echo "X2GOD" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1326> Passing new channel conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1328> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1516> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1520> New channel:0x7fb9000585a0

x2go-DEBUG-../src/sshmasterconnection.cpp:1551> Executing remote: “bash -l -c 'echo "X2GODATABEGIN:243e7d38-7
776-4526-9e7f-f57b68897530"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; x2gocmdexitmessage wajnel-51-1486117592_stDMATE_dp32; echo "X2GODATAEND:243e7d38-7776-4526-9e7f-f57b68897530";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1574> New exec channel created.

x2go-DEBUG-../src/onmainwindow.cpp:5997> Finished proxy.
x2go-DEBUG-../src/sshmasterconnection.cpp:1678> EOF on channel 0x7fb9000585a0; SshProcess object: 3
x2go-DEBUG-../src/sshmasterconnection.cpp:1746> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1750> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout): "X2GODATABEGIN:243e7d38-7776-4526-9e7f-f57b68897530
X2GODATAEND:243e7d38-7776-4526-9e7f-f57b68897530
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "" (3).
x2go-DEBUG-../src/onmainwindow.cpp:9358> "Command message: "
x2go-DEBUG-../src/sshmasterconnection.cpp:717> SshMasterConnection, instance SshMasterConnection(0x7fb8fd752ec0)  waiting for thread to finish. 
x2go-DEBUG-../src/sshmasterconnection.cpp:1435> Disconnecting ...

x2go-DEBUG-../src/sshmasterconnection.cpp:1446> Deleting channel connections.

x2go-DEBUG-../src/sshmasterconnection.cpp:1454> Disconnecting session.

x2go-DEBUG-../src/sshmasterconnection.cpp:1460> Deleting sockets.

x2go-DEBUG-../src/sshmasterconnection.cpp:1467> All channels closed and session disconnected. Quiting session loop.

x2go-DEBUG-../src/sshmasterconnection.cpp:721> SshMasterConnection, instance SshMasterConnection(0x7fb8fd752ec0)  thread finished. 
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshprocess.cpp:52> SshProcess destructor called.
x2go-DEBUG-../src/sshmasterconnection.cpp:728> SshMasterConnection, instance SshMasterConnection(0x7fb8fd752ec0)  finished destructor. 
x2go-DEBUG-../src/onmainwindow.cpp:6174> Setting focus.

x2go-INFO-8> "Starting connection to server: dt:22"
x2go-DEBUG-../src/onmainwindow.cpp:2787> Starting new ssh connection to server:"dt":"22" krbLogin: false
x2go-DEBUG-../src/sshmasterconnection.cpp:174> SshMasterConnection, host "dt"port 22user "wajnel"useproxy falseproxyserver ""proxyport 22
x2go-DEBUG-../src/sshmasterconnection.cpp:211> Starting SSH connection without Kerberos authentication.
x2go-DEBUG-../src/sshmasterconnection.cpp:215> SshMasterConnection, instance SshMasterConnection(0x7fb8fbf7cbf0)  created. 
x2go-DEBUG-../src/sshmasterconnection.cpp:451> SshMasterConnection, instance SshMasterConnection(0x7fb8fbf7cbf0)  entering thread. 
x2go-DEBUG-../src/sshmasterconnection.cpp:504> libssh already initialized.
x2go-DEBUG-../src/sshmasterconnection.cpp:798> cserverAuth
x2go-DEBUG-../src/sshmasterconnection.cpp:813> state: 1
x2go-DEBUG-../src/sshmasterconnection.cpp:995> Challenge authentication failed. Trying password mechanism if available.

x2go-DEBUG-../src/sshmasterconnection.cpp:1001> Password mechanism available. Continuing.

x2go-DEBUG-../src/sshmasterconnection.cpp:1005> Password authentication requested.

x2go-DEBUG-../src/sshmasterconnection.cpp:663> User authentication OK.
x2go-DEBUG-../src/onmainwindow.cpp:2884> SSH connection established.
x2go-DEBUG-../src/onmainwindow.cpp:3193> Continue normal X2Go session
x2go-DEBUG-../src/sshprocess.cpp:199> Executing remote command via SshProcess object 0: "export HOSTNAME && x2golistsessions"
x2go-DEBUG-../src/sshprocess.cpp:204> this=SshProcess(0x7fb8fd691de0)  Running masterCon->addChannelConnection(this, ' "5f02cc0b-b063-47a1-a09c-d30e9a059408" ', ' "bash -l -c 'echo "X2GODATABEGIN:5f02cc0b-b063-47a1-a09c-d30e9a059408"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME && x2golistsessions; echo "X2GODATAEND:5f02cc0b-b" '); 
x2go-DEBUG-../src/sshmasterconnection.cpp:1324> Locking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1326> Passing new channel conenction object to channelConnections.
x2go-DEBUG-../src/sshmasterconnection.cpp:1328> Unlocking SSH channel connection MUTEX.
x2go-DEBUG-../src/sshmasterconnection.cpp:1516> Creating new channel.

x2go-DEBUG-../src/sshmasterconnection.cpp:1520> New channel:0x7fb900035ee0

x2go-DEBUG-../src/sshmasterconnection.cpp:1551> Executing remote: "bash -l -c 'echo "X2GODATABEGIN:5f02cc0b-b063-47a1-a09c-d30e9a059408"; export PATH="/usr/local/bin:/usr/bin:/bin"; export TERM="dumb"; export HOSTNAME && x2golistsessions; echo "X2GODATAEND:5f02cc0b-b063-47a1-a09c-d30e9a059408";'"

x2go-DEBUG-../src/sshmasterconnection.cpp:1574> New exec channel created.

x2go-DEBUG-../src/sshmasterconnection.cpp:1678> EOF on channel 0x7fb900035ee0; SshProcess object: 0
x2go-DEBUG-../src/sshmasterconnection.cpp:1746> EOF sent.
x2go-DEBUG-../src/sshmasterconnection.cpp:1750> Channel closed.
x2go-DEBUG-../src/sshprocess.cpp:517> SSH finished: raw output (stdout): "X2GODATABEGIN:5f02cc0b-b063-47a1-a09c-d30e9a059408
26052|wajnel-51-1486117592_stDMATE_dp32|51|DeepThought|R|2017-02-03T12:26:33|0a780d90ca4196ede8b79df0b47c8c30|146.64.182.79|48519|48520|2017-02-03T12:26:34|wajnel|20|48521|
X2GODATAEND:5f02cc0b-b063-47a1-a09c-d30e9a059408
"
x2go-DEBUG-../src/sshprocess.cpp:528> SSH finished: true - "26052|wajnel-51-1486117592_stDMATE_dp32|51|DeepThought|R|2017-02-03T12:26:33|0a780d90ca4196ede8b79df0b47c8c30|146.64.182.79|48519|48520|2017-02-03T12:26:34|wajnel|20|48521|
" (0).
x2go-DEBUG-../src/onmainwindow.cpp:3582> "26052|wajnel-51-1486117592_stDMATE_dp32|51|DeepThought|R|2017-02-03T12:26:33|0a780d90ca4196ede8b79df0b47c8c30|146.64.182.79|48519|48520|2017-02-03T12:26:34|wajnel|20|48521|
"
x2go-DEBUG-../src/onmainwindow.cpp:4445> No shadow session.
x2go-DEBUG-../src/onmainwindow.cpp:4468> "Decoding session string:26052|wajnel-51-1486117592_stDMATE_dp32|51|DeepThought|R|2017-02-03T12:26:33|0a780d90ca4196ede8b79df0b47c8c30|146.64.182.79|48519|48520|2017-02-03T12:26:34|wajnel|20|48521|"
    

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Feb 8 19:24:15 2023; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.